PHONETISAURUS(1)

NAME
phonetisaurus-g2p - Grapheme-to-phoneme transducer

SYNOPSIS
phonetisaurus-g2p --model=g2p-model.fst [OPTIONS]

DESCRIPTION
phonetisaurus-g2p This tool performs Grapheme-to-Phoneme (G2P) or Phoneme-to-Grapheme (P2G) conversion. If G2P is performed, the tool provides the most probable pronunciations for provided words. If P2G is performed, the tool provides most probable orthografic transcription of a word, given its pronounce.

OPTIONS

--help=<bool> (default: false)

    show usage information

--helpshort=<bool> (default: false)

    show brief usage information

--tmpdir=<string> (default: "/tmp/")

    temporary directory

--v=<int32> (default: 0)

    verbose level

--fst_align=<bool> (default: false)

    Write FST data aligned where appropriate

--fst_default_cache_gc=<bool> (default: true)

    Enable garbage collection of cache

--fst_default_cache_gc_limit=<int64> (default: 1048576)

    Cache byte size that triggers garbage collection

--fst_verify_properties=<bool> (default: false)

    Verify fst properties queried by TestProperties

--fst_weight_parentheses=<string> (default: "")

    Characters enclosing the first weight of a printed composite weight (e.g. pair weight, tuple weight and derived classes) to ensure proper I/O of nested composite weights; must have size 0 (none) or 2 (open and close parenthesis)

--fst_weight_separator=<string> (default: "")

    Character separator between printed composite weights; must be a single character

--save_relabel_ipairs=<string> (default: "")

    Save input relabel pairs to file

--save_relabel_opairs=<string> (default: "")

    Save output relabel pairs to file --alpha=<double> (default: 0.6)

    The alpha LM scale factor for the LMBR decoder.

--beam=<int32> (default: 500)

    N-best search beam.

--input=<string> (default: "")

    A word or test file.

--isfile=<bool> (default: false)

    '--input' is a file.

--mbr=<bool> (default: false)

    Use the Lattice Minimum Bayes-Risk decoder

--model=<string> (default: "")

    The input WFST G2P model.

--nbest=<int32> (default: 1)

    Print out the N-best pronunciations.

--order=<int32> (default: 6)

    The N-gram order for the MBR decoder.

--prec=<double> (default: 0.85)

    The N-gram precision factor for the LMBR decoder.

--ratio=<double> (default: 0.72)

    The N-gram ratio factor for the LMBR decoder.

--sep=<string> (default: "")

    Separator token for input words.

--words=<bool> (default: false)

    Output words with hypotheses.

--fst_compat_symbols=<bool> (default: true)

    Require symbol tables to match when appropriate

--fst_field_separator=<string> (default: " ")

    Set of characters used as a separator between printed fields

--fst_error_fatal=<bool> (default: true)

    FST errors are fatal; o.w. return objects flagged as bad: e.g., FSTs - kError prop. true, FST weights - not a Member()